import os
import unittest

import wsqluse.wsqluse

from ar_external_sys_worker import main


class TestCase(unittest.TestCase):
    sql_shell = wsqluse.wsqluse.Wsqluse(dbname=os.environ.get('DB_NAME'),
                                        user=os.environ.get('DB_USER'),
                                        password=os.environ.get('DB_PASS'),
                                        host=os.environ.get('DB_HOST'))
    inst = main.SignallActWorker(login=os.environ.get('POL_LOGIN'),
                                 password=os.environ.get('POL_PASS'),
                                 sql_shell=sql_shell)

    @unittest.SkipTest
    def testSignallActWorker(self):
        response = self.inst.send_and_log_act(car_number='В060ХА702',
                                              ex_id=17,
                                              gross=1488,
                                              tare=1377,
                                              cargo=111,
                                              alerts=['alert0'],
                                              carrier='263028743',
                                              operator_comments={
                                                  'gross': 'grosComm',
                                                  'tare': '',
                                                  'additional': 'addComm',
                                                  'changing': '',
                                                  'closing': 'closingComm'},
                                              photo_in=None,
                                              photo_out=None,
                                              time_in='2007-07-15 13:37:00',
                                              time_out='2007-07-15 14:38:00',
                                              trash_cat='ТКО',
                                              trash_type='4 класс')
        print(response)

    @unittest.SkipTest
    def test_send_unsent(self):
        self.inst.send_unsend_acts()


    def test_photo_mark(self):
        resp = self.inst.get_photo_path(197924, 1)
        print(resp)


if __name__ == '__main__':
    unittest.main()
